package com.heyu.api.data.service.impl.ai;
/**
* <p>
* AI智能体配置表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.ai.AiEngineDao;
import com.heyu.api.data.entity.ai.AiEngineEntity;
import com.heyu.api.data.service.ai.AiEngineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class AiEngineServiceImpl extends ServiceImpl<AiEngineDao, AiEngineEntity> implements AiEngineService {


    @Autowired
	private AiEngineDao aiEngineDao;



	@Override
	public AiEngineEntity selectAiEngineById(Long id){
		return aiEngineDao.selectAiEngineById(id);
	}



	@Override
	public Long insertAiEngine(AiEngineEntity aiEngine){
		return aiEngineDao.insertAiEngine(aiEngine);
	}



	@Override
	public Long insertOrUpdateAiEngine(AiEngineEntity aiEngine){
		return aiEngineDao.insertOrUpdateAiEngine(aiEngine);
	}



	@Override
	public int updateAiEngineById(AiEngineEntity aiEngine){
		return aiEngineDao.updateAiEngineById(aiEngine);
	}



	@Override
	public int updateCoverAiEngineById(AiEngineEntity aiEngine){
		return aiEngineDao.updateCoverAiEngineById(aiEngine);
	}



	@Override
	public int deleteAiEngineById(Long id){
		return aiEngineDao.deleteAiEngineById(id);
	}



}
